Subject: Re: [PATCH] test-lib: write test results to test-results/<basename>-<pid>

From: SZEDER Gábor <[email-masked]>
Date: Mon, 16 Mar 2009 11:41:38 +0100

On Mon, Mar 16, 2009 at 11:18:19AM +0100, Johannes Schindelin wrote:
> On Sat, 14 Mar 2009, Sverre Rabbelier wrote:
> 
> > On Sat, Mar 14, 2009 at 13:28, SZEDER Gábor <[email-masked]> wrote:
> > > With my proposed change there would be no need to clean 'test-results'
> > > before running the tests, because test-lib.sh would take care of that
> > > (not by removing and recreating 'test-results/', but by overwriting
> > > (IOW: removing and recreating, but in one step) individual test result
> > > files).
> > 
> > Wouldn't that result in possible stale files being counted in the
> > result (e.g., if those tests were not run this time, but they were run
> > previously)?
> 
> Yes.  Stale files would be counted in.  The fact that aggregate-results.sh 
> is called when running "make" in t/ is a sure sign for me that you should 
> not muddy waters by making unnecessary changes that break the default 
> usage from time to time.

As I explained earlier, it won't change the default usage at all, but,
as I explained in my response to Sverre, it would actually fix a
current breakage in certain cases (i.e. make t1234-foo.sh ; make
t1234-foo.sh ; make aggregate-results would report the correct
numbers).

> And I really would like to be able to spend my time on other things than 
> discussing this at more length than necessary.

Ok, then I will also spare the effort of updating the patch.
Unless, of course, there are others who are interested.

Thanks,
Gábor